# Source Generated with Decompyle++
# File: in.pyc (Python 2.7)

""" Python Character Mapping Codec cp424 generated from 'MAPPINGS/VENDORS/MISC/CP424.TXT' with gencodec.py.

"""
import codecs

class Codec(codecs.Codec):
    
    def encode(self, input, errors = 'strict'):
        return codecs.charmap_encode(input, errors, encoding_table)

    
    def decode(self, input, errors = 'strict'):
        return codecs.charmap_decode(input, errors, decoding_table)



class IncrementalEncoder(codecs.IncrementalEncoder):
    
    def encode(self, input, final = False):
        return codecs.charmap_encode(input, self.errors, encoding_table)[0]



class IncrementalDecoder(codecs.IncrementalDecoder):
    
    def decode(self, input, final = False):
        return codecs.charmap_decode(input, self.errors, decoding_table)[0]



class StreamWriter(Codec, codecs.StreamWriter):
    pass


class StreamReader(Codec, codecs.StreamReader):
    pass


def getregentry():
    return codecs.CodecInfo(name = 'cp424', encode = Codec().encode, decode = Codec().decode, incrementalencoder = IncrementalEncoder, incrementaldecoder = IncrementalDecoder, streamreader = StreamReader, streamwriter = StreamWriter)

decoding_table = u'\x00\x01\x02\x03\xc2\x9c\t\xc2\x86\x7f\xc2\x97\xc2\x8d\xc2\x8e\x0b\x0c\r\x0e\x0f\x10\x11\x12\x13\xc2\x9d\xc2\x85\x08\xc2\x87\x18\x19\xc2\x92\xc2\x8f\x1c\x1d\x1e\x1f\xc2\x80\xc2\x81\xc2\x82\xc2\x83\xc2\x84\n\x17\x1b\xc2\x88\xc2\x89\xc2\x8a\xc2\x8b\xc2\x8c\x05\x06\x07\xc2\x90\xc2\x91\x16\xc2\x93\xc2\x94\xc2\x95\xc2\x96\x04\xc2\x98\xc2\x99\xc2\x9a\xc2\x9b\x14\x15\xc2\x9e\x1a \xd7\x90\xd7\x91\xd7\x92\xd7\x93\xd7\x94\xd7\x95\xd7\x96\xd7\x97\xd7\x98\xc2\xa2.<(+|&\xd7\x99\xd7\x9a\xd7\x9b\xd7\x9c\xd7\x9d\xd7\x9e\xd7\x9f\xd7\xa0\xd7\xa1!$*);\xc2\xac-/\xd7\xa2\xd7\xa3\xd7\xa4\xd7\xa5\xd7\xa6\xd7\xa7\xd7\xa8\xd7\xa9\xc2\xa6,%_>?\xef\xbf\xbe\xd7\xaa\xef\xbf\xbe\xef\xbf\xbe\xc2\xa0\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\xe2\x80\x97`:#@\'="\xef\xbf\xbeabcdefghi\xc2\xab\xc2\xbb\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\xc2\xb1\xc2\xb0jklmnopqr\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\xc2\xb8\xef\xbf\xbe\xc2\xa4\xc2\xb5~stuvwxyz\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\xc2\xae^\xc2\xa3\xc2\xa5\xc2\xb7\xc2\xa9\xc2\xa7\xc2\xb6\xc2\xbc\xc2\xbd\xc2\xbe[]\xc2\xaf\xc2\xa8\xc2\xb4\xc3\x97{ABCDEFGHI\xc2\xad\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe}JKLMNOPQR\xc2\xb9\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\\\xc3\xb7STUVWXYZ\xc2\xb2\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe0123456789\xc2\xb3\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\xc2\x9f'
encoding_table = codecs.charmap_build(decoding_table)
